NodeBuilder (Groovy 2.4.3)
Date: 2015-03-23

groovy.util

## Class NodeBuilder

- java.lang.Object
- - groovy.lang.GroovyObjectSupport
  - - groovy.util.BuilderSupport
    - - groovy.util.NodeBuilder

- All Implemented Interfaces:
    GroovyObject

      public class NodeBuilder
      extends BuilderSupport

  A helper class for creating nested trees of Node objects for handling arbitrary data
  Version:
    $Revision$
  Author:
    James Strachan

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NodeBuilder()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Object` | `createNode(Object name)`
    `protected Object` | `createNode(Object name, Map attributes)`
    `protected Object` | `createNode(Object name, Map attributes, Object value)`
    `protected Object` | `createNode(Object name, Object value)`
    `protected Node` | `getCurrentNode()`
    `static NodeBuilder` | `newInstance()`
    `protected void` | `setParent(Object parent, Object child)`

    - ### Methods inherited from class groovy.util.BuilderSupport

      `doInvokeMethod, getCurrent, getName, invokeMethod, invokeMethod, nodeCompleted, postNodeCompletion, setClosureDelegate, setCurrent`

    - ### Methods inherited from class groovy.lang.GroovyObjectSupport

      `getMetaClass, getProperty, setMetaClass, setProperty`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NodeBuilder

          public NodeBuilder()

  - ### Method Detail

    - #### newInstance

          public static NodeBuilder newInstance()

    - #### setParent

          protected void setParent(Object parent,
                       Object child)

      Specified by:
        `setParent` in class `BuilderSupport`

    - #### createNode

          protected Object createNode(Object name)

      Specified by:
        `createNode` in class `BuilderSupport`

    - #### createNode

          protected Object createNode(Object name,
                          Object value)

      Specified by:
        `createNode` in class `BuilderSupport`

    - #### createNode

          protected Object createNode(Object name,
                          Map attributes)

      Specified by:
        `createNode` in class `BuilderSupport`

    - #### createNode

          protected Object createNode(Object name,
                          Map attributes,
                          Object value)

      Specified by:
        `createNode` in class `BuilderSupport`

    - #### getCurrentNode

          protected Node getCurrentNode()